
QGIS Application - Bug report #13189

Processing : Geometry Corruption with Memory Layer

2015-08-06 07:10 AM - Nicolas Rochard

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.10.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21251

Description

When using Processing > Save Selected Feature

- With Memory Layer, Geometry are corrupt.

- With Temporary Files, Geometry is fine without any problem.

See screenshots :

Green : original layer

Blue : made with Windows (see green under it)

Brown : made with Linux, fewer problems but still some strange result (see Green under it)

Tested on :

QGIS 2.10.1 + Windows 7 64bits

QGIS 2.10.1 + Linux openSUSE 13.2 64bits

History

#1 - 2015-08-06 07:13 AM - Nicolas Rochard

- File Step3.png added

- File Step1.png added

- File Step2.png added

Screenshot not upload correctly in first message.

#2 - 2016-01-20 05:41 AM - Alexander Bruy

- Status changed from Open to Feedback

Not reproducible here. Please check again and provide sample data

#3 - 2016-01-22 09:57 AM - Nicolas Rochard

Alexander Bruy wrote:

Not reproducible here. Please check again and provide sample data

With 2.12.3 problem is solved by magic :)
#4 - 2016-04-09 02:03 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

Step1.png 189 KB 2015-08-06 Nicolas Rochard

Step2.png 177 KB 2015-08-06 Nicolas Rochard

Step3.png 160 KB 2015-08-06 Nicolas Rochard
